Skip to content

Transfers

POST /wallets/{address}/transfers

Request

POST /wallets/01a1f8d3-ea7b-7a12-8b34-56789abcdef0/transfers
Authorization: Bearer <transfer-token>
Idempotency-Key: <transfer-idempotency-key>
Content-Type: application/json
{
"to": "01a1f8d3-ea7b-7a12-8b34-56789abcdef1",
"asset": {
"id": "QUARTZ",
"units": "0.001"
}
}
Input Meaning and format
address Wallet address. UUIDv7 (RFC 9562), lowercase, 36 characters.
transfer-token Wallet’s transfer-only token. sk-{network}-{lookup}-{secret}. Independent OS CSPRNG values, lowercase hex: lookup has 128-bit entropy (32 characters); secret has 256-bit entropy (64 characters).
to Receiving wallet address in the same network. UUIDv7 (RFC 9562), lowercase, 36 characters. Must differ from address.
asset.id Transferable asset. QUARTZ.
asset.units QUARTZ units to transfer. Positive plain decimal string, up to 64 characters, representable with 18 decimal places. Maximum 340282366920938463463.374607431768211455.
Idempotency-Key Client-generated UUIDv4 or UUIDv7. Unique per wallet across trades and transfers. Reuse for retries. Expires 3 hours after acceptance.

Response: 201 Created

{
"meta": {
"network": "bubblegum",
"at": "2026-11-20T15:24:00.124000000Z"
},
"data": {
"public": {
"transaction": "01a1f98e-aefb-7a12-8b34-56789abcdef0",
"from": "01a1f8d3-ea7b-7a12-8b34-56789abcdef0",
"to": "01a1f8d3-ea7b-7a12-8b34-56789abcdef1",
"asset": {
"id": "QUARTZ",
"units": "0.001"
}
}
}
}
Output Meaning and format
transaction Transfer reference. UUIDv7 (RFC 9562), lowercase, 36 characters.
from Sending wallet address. UUIDv7 (RFC 9562), lowercase, 36 characters.
to Receiving wallet address. UUIDv7 (RFC 9562), lowercase, 36 characters.
asset.id Transferred asset. QUARTZ.
asset.units QUARTZ units transferred. Positive plain decimal string, up to 18 decimal places; no trailing fractional zeros. Maximum 340282366920938463463.374607431768211455.
network Selected network. String.
at Response time. RFC 3339 (ISO 8601 profile), UTC (Z), exactly 9 fractional digits (nanoseconds).